[debian-users 00317] apt update でワーニング

adachi junichi jomon @ dabiyone.com
2018年 7月 9日 (月) 15:12:26 JST


先日の「ユーザーミートアップ in 札幌」に参加できなくて
残念に思っている安達です。
メーリングリストへ登録しているアドレスを変更して
初めての投稿です。

lennyの頃からdebianを使わせていただいておりますが
今年になってstretchを二度クリーンインストールしました。
1回目がdebian-9.3.0-amd64-netinst.iso
2回目がdebian-9.4.0-amd64-netinst.iso
でした。
両方共、apt update で文句を言われます。
実害はないのですが、
9.3から9.4になっても改善されていないのでご報告
ワーニングは
-------------ここから-------
# apt update
ヒット:1 http://security.debian.org/debian-security stretch/updates 
InRelease
無視:2 http://ftp.jp.debian.org/debian stretch InRelease
ヒット:3 http://ftp.jp.debian.org/debian stretch-updates InRelease
ヒット:4 http://ftp.jp.debian.org/debian stretch Release
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています
状態情報を読み取っています... 完了
パッケージはすべて最新です。
W: 
http://security.debian.org/debian-security/dists/stretch/updates/InRelease: 
The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file 
is not readable by user '_apt' executing apt-key.
W: http://ftp.jp.debian.org/debian/dists/stretch-updates/InRelease: The 
key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is 
not readable by user '_apt' executing apt-key.
W: http://ftp.jp.debian.org/debian/dists/stretch/Release.gpg: The key(s) 
in the keyring /etc/apt/trusted.gpg are ignored as the file is not 
readable by user '_apt' executing apt-key.
------------ここまで---------
普段はSynapticからのアクセスですが「再読込」で同様なW:がでます。
ただ、アップグレード可能なパッケージが表示され
アップグレードもできますので実害はありません。
W:の中の/etc/apt/trusted.gpgというファイルは
-rw------- 1 root root   32  7月  4 13:34 trusted.gpg
ですから、たしかに_aptからは読めないというのはもっともです。
trusted.gpg.d というフォルダ内に
-rw-r--r-- 1 root root 5138  5月 26  2017 
debian-archive-jessie-automatic.gpg
などのファイルがあって実際にはこれを使っているものと思われます。
メッセージで検索すると
http://forums.debian.net/viewtopic.php?t=130558
に似たような話があって、
結論は
rm /etc/apt/trusted.gpg
のようです。
-rw-r--r--としてしまうより安心な気もしますが
実害がないので、まだしばらく放置します。
皆さんのところではこのような現象はないのでしょうか。


-- 
安達 順一
   jomon @ dabiyone.com
   http://dabiyone.webcrow.jp/
   http://seiai.ed.jp/sys/text/index.html


debian-users メーリングリストの案内